import 'package:flutter/material.dart';

import 'package:video_player/video_player.dart';

class VideoDefinitionItem {
  final dynamic dataSource;
  final String title;
  final DataSourceType sourceType;

  VideoDefinitionItem({
    required this.dataSource,
    this.title = '',
    this.sourceType = DataSourceType.network,
  });
}

class VideoDefinitionItemStyle {
  final TextStyle textStyle;
  final TextAlign textAlign;
  final EdgeInsetsGeometry padding;
  final Color selectTextColor;

  VideoDefinitionItemStyle({
    this.textStyle = const TextStyle(
      color: Colors.white,
      fontSize: 16.0,
      fontWeight: FontWeight.normal,
    ),
    this.textAlign = TextAlign.center,
    this.padding = const EdgeInsets.symmetric(vertical: 6.0),
    this.selectTextColor = Colors.blue,
  });
}

class VideoDefinitionButtonStyle {
  final TextStyle textStyle;
  final String title;

  VideoDefinitionButtonStyle({
    this.title = '清晰度',
    this.textStyle = const TextStyle(
      fontSize: 14.0,
      fontWeight: FontWeight.normal,
      color: Colors.white,
    ),
  });
}